from pydantic import BaseModel
from datetime import datetime


class Task(BaseModel):
    id : int
    max_delta_days: int
    status: str
    response: dict
    last_check: datetime | None
    selected_by: str | None
    selected_at: datetime | None

    class Config:
        from_attributes = True
