class HTTPStatusCheck:
    config = "status-is"

    def check(resp):
        return True


class HTTPBodyContains:
    config = "body-contains"

    def check(resp):
        return True


class SSLCertificateExpiration:
    config = "ssl-certificate-expiration"

    def check(resp):
        return True


AVAILABLE_CHECKS = (HTTPStatusCheck, HTTPBodyContains, SSLCertificateExpiration)


def get_names(checks=AVAILABLE_CHECKS):
    return [c.config for c in checks]
